From c2ba7d326ebec8881dd60534c3c20c106faf6fd6 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 01:59:03 +0000
Subject: [PATCH 38/220] s


---

diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index 697b0d0..1b49498 100644
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -6,4 +6,4 @@ REPO=https://github.com/pop-os/$PACKAGE
 git clone --recurse-submodules https://pagure.io/forks/ryanabx/fedora-cosmic/cosmic-packaging.git
 cp cosmic-packaging/rpms/$PACKAGE/* .
 cp cosmic-packaging/scripts/vendor-srpm.sh .
-. vendor-srpm.sh $PACKAGE 0.1.0 latest $PACKAGE.spec
\ No newline at end of file
+. vendor-srpm.sh $PACKAGE 0.1.0 latest $PACKAGE.spec $REPO
\ No newline at end of file
diff --git a/scripts/vendor-srpm.sh b/scripts/vendor-srpm.sh
index 65c702b..07f201c 100644
--- a/scripts/vendor-srpm.sh
+++ b/scripts/vendor-srpm.sh
@@ -43,9 +43,9 @@ rm -rf $name
 cp $path_to_spec $name.spec 2>/dev/null || :
 
 # Make replacements to specfile
-sed -i "/^%%global ver / s/.*/%%global ver $version/" $name.spec
-sed -i "/^%%global commit / s/.*/%%global commit $commit/" $name.spec
+sed -i "/^%global ver / s/.*/%global ver $version/" $name.spec
+sed -i "/^%global commit / s/.*/%global commit $commit/" $name.spec
 current_date=$(date +'%Y%m%d.%H')
-sed -i "/^%%global date / s/.*/%%global commit $current_date/" $name.spec
+sed -i "/^%global date / s/.*/%global commit $current_date/" $name.spec
 
 echo Done! $1 $2 $3 $4 $5
\ No newline at end of file

